[metadata]
name = decentralizepy
version = 0.1.dev0
author = Rishi Sharma
author_email = rishi.sharma@epfl.ch
license = MIT
description = A framework to write decentralized machine learning applications
keywords =
    python
    decentralized
    ml
    learning
    sacs
url = https://rishisharma.netlify.app
download_url = https://gitlab.epfl.ch/risharma/decentralizepy
long_description = file: README.rst
classifiers =
        Development Status :: 4 - Beta
        Intended Audience :: Education
        Intended Audience :: Science/Research
        License :: OSI Approved :: MIT License
        Operating System :: OS Independent
        Programming Language :: Python
        Programming Language :: Python :: 3
        Programming Language :: Python :: 3.6
        Programming Language :: Python :: 3.7
        Programming Language :: Python :: 3.8
        Topic :: Scientific/Engineering
[options]
package_dir =
    = src
packages = find:
zip_safe = False
install_requires =
        numpy
        torch
        torchvision
        matplotlib
        networkx
        zmq
        jsonlines
        pillow
        smallworld
        localconfig
include_package_data = True
python_requires = >=3.6
[options.packages.find]
where = src
[options.extras_require]
dev =
        black
        coverage
        isort
        pytest
        pytest-xdist
        pytest-cov<2.6.0
        pycodestyle
        sphinx
        alabaster
        tox
[tool:pytest]
norecursedirs =
    .git
    dist
    build
python_files =
    test_*.py
doctest_plus = disabled
addopts = --strict
markers =
    slow
    remote_data
    filterwarnings
    mpl_image_compare
[flake8]
ignore = E203, E266, E501, W503
max-line-length = 80
max-complexity = 18
select = B,C,E,F,W,T4,B9
